@font-face {
    font-family: 'Gotu';
    src: url(/assets/fonts/Gotu/Gotu-Regular.ttf);
}

@font-face {
    font-family: 'Assistant';
    src: url(/assets/fonts/Assistant/Assistant-VariableFont_wght.ttf);
}

:root {
    --blue-main-color: #72858B;
    --blue-transparent-color: rgba(117, 132, 137, 40%);
    --green-main-color: #8C947D;
    --green-transparent-color: rgba(140, 148, 125, 40%);

    --timeline-gray: rgba(195, 195 ,195, 100%);

    --gray-card-color: rgba(217,217,217,100%);

    --text-color: #121212;
    --bg-color:#f1f1f1;

    --logo-size: 55px;

    --font-size-nav: 18px; 
    --font-size-h1: 32px;
    --font-size-normal: 18px;



    --font-size-h3: 22px;
    --font-size-caption: 22px;

    --font-weight-thin: 100;

    --line-height-normal: 1.6;

    --margin-100: 100px;
    --margin-card: 50px;
    --margin-nav: 180px;
    --nav-height: 80px;

    --scale-img: 1.02;

    --btn-height: 35px;
    --btn-border-radius: 2px;
    --scale-btn: scale(1.01);

    /* Smaller Screen */

    --font-size-nav-small: 16px; 
    --font-size-h1-small: 28px;
    --font-size-normal-small: 16px;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    top: 0;
    left: 0;
    font-family: 'Assistant', sans-serif;
    font-size: var(--font-size-normal);
    line-height: var(--line-height-normal);
    color: var(--text-color);
    background-color: var(--bg-color);

    width: 100%;
    overflow-x: hidden;
    backface-visibility: hidden;
}

h1 {
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-h1);
    font-weight: var(--font-weight-thin);

}

header {
    margin: 0;
    padding: 0;
}


/* Nav Bar */


nav {
    position: fixed;
    top: 0;
}

.navbar {
    display: flex;
    position: fixed;
    justify-content: space-between;
    align-items: center;
    top: 0;
    left: 0;
    padding-top: 10px;
    font-family: 'Gotu', sans-serif;
    width: 100%;
    height: var(--nav-height);
    z-index: 1000;
    background-color: var(--bg-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}


.nav-links {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 75px;
    padding: 0;
    margin: 0;
    margin-right: var(--margin-nav);
    margin-top: -5px;
}

.contact-btn {
    all: unset;
    display: flex;
    align-items: center;
    justify-content: center;
    align-self: baseline;
    font-family: 'Gotu', sans-serif;
    font-size: var(--font-size-nav);
    text-decoration: none;
    border: 1px solid var(--text-color);
    background-color: transparent;
    border-radius: var(--btn-border-radius);
    width: 110px;
    padding-top: 2px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.3s ease-in-out,
                background-color 0.3s ease-in-out,
                color 0.3s ease-out,
                border-color 0.3s ease-out; 
}

.contact-btn:hover {
    background-color: var(--green-main-color);
    color: var(--bg-color);
    border-color: var(--green-main-color);
    transform: scale(1.05);
}

.logo {
    width: var(--logo-size);
    height: auto;
    margin-left: var(--margin-nav);
    margin-top: 5px;
    transform: scale(1);
    transition: transform 0.3s ease-out;
}

.logo:hover {
    transform: scale(1.02);
}

.nav-links-container {
    margin-right: var(--margin-nav);
}

.nav-links li {
    display: inline;
}

.nav-links a {
    color: var(--text-color);
    text-decoration: none;
    font-size: var(--font-size-nav);
    transition: 0.3s;
}

.underline-li a {
    position: relative;
    overflow: hidden;
}

.underline-li a::before {
    content: '';
    position: absolute;
    bottom: 0px;
    height: 1px;
    width: 100%;
    background: var(--text-color);
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease-in-out;
}

.nav-links a:hover::before {
    transform: scale(1);
}




/* Mobil Menü - Nav Bar */
.menu-toggle {
    display: none;
    flex-direction: column;
    cursor: pointer;
    margin-right: 50px;
}

.menu-toggle span {
    width:30px;
    height: 2px;
    background: var(--text-color);
    margin: 4px;
    transition: 0.3s;
}



/* Beratungsangebot Sektion */

.consultation-section {
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    overflow: hidden;
    flex-wrap: wrap-reverse;
}

.consultation-content {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    flex-wrap: wrap-reverse;
}

.consultation-text-ctn, .consultation-image-ctn {
    margin-top: 100px;
    top: 0;
    left: 0;
    height: 100%;
    flex-grow: 1;
    display: flex;
    margin-bottom: 100px;
}

.consultation-text-ctn {
    display: flex;
    align-items: center;
    margin-right: 100px;
    width: 330px;
    word-wrap: break-word;
    overflow-wrap: break-word;
    order: 2;
    margin-right: var(--margin-nav);
}

.text-consultation {
    margin-top: 30px;
}

.consultation-contact-btn{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: var(--font-size-nav);
    text-decoration: none;
    color: var(--bg-color);
    background-color: var(--green-main-color);
    border-radius: var(--btn-border-radius);
    border: 1px solid var(--green-main-color);
    width: 150px;
    height: 35px;
    margin-top: 30px;
    cursor: pointer;
    transform: scale(1);
    transition: transform 0.3s ease-in-out,
                background-color 0.3s ease-in-out,
                border-color 0.3s ease-out; 
}

.consultation-contact-btn a {
    text-decoration: none;
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    transition: color 0.3s ease-in-out;
}

.consultation-contact-btn:hover {
    background-color: transparent;
    border-color: var(--text-color);
    transform: var(--scale-btn);
}

.consultation-contact-btn:hover a {
    color: var(--text-color);
}

.consultation-image-ctn {
   display: flex;
   align-items: center;
   justify-content: flex-start;
   margin-left: var(--margin-nav);
   order: 1;
}

.consultatation-img-mask {
    scale: 1;
    transition: scale 0.5s ease-in-out;
}

.consultatation-img-mask:hover {
    scale: var(--scale-img);
}

.consultatation-img-mask {
    margin-top: 40px;
    display: flex;
    width: 500px;
    height: 700px;
    object-fit: cover;
    overflow: hidden;
    transform-origin: center;
}

.consultation-image-ctn img {
    display: flex;
    object-fit: cover;
    width: 100%;
}




/* Coaching Timeline Sektion */

.timeline-coaching-section {
    width: 100%;
    display: flex;
    padding-bottom: 100px;
}

.timeline-container {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: auto;
    height: fit-content;
    margin-top: 50px;
    overflow: hidden;

}

.timeline-group-style{
    display: flex;
    flex-direction: column;
    width: fit-content;
}

.timeline-group-style h1 {
    padding-left: 35px;
    padding-top: 0;
    margin-top: 0;
}

.timeline-group-style ul {
    margin-top: -25px;
    display: flex;
    flex-direction: column;
    padding: 0;
}

.timeline-group-style li {
    display: flex;
    margin-bottom: -18px;
}

.timeline-group-style p {
    margin-left: 24px;
}

.coaching-offer {
    align-self: flex-start;
    margin-left: var(--margin-nav);
}

.target-group {
    align-self: flex-end;
    margin-right: var(--margin-nav);
    margin-top: -20px;
}

.format-group {
    align-self: flex-end;
    margin-right: 338px;
    margin-top: -20px;
}

.implementation-group {
    align-self: flex-start;
    margin-left: var(--margin-nav);
    margin-top: -20px;
}




/* Timeline - Line */

.timeline-line-container {
    top:0;
    position:absolute;
    transform:translateX(-50%);
    justify-content:flex-start;
    left:50%;
    width:2px;
    height:100%;
    background-color:var(--timeline-gray);
    overflow: hidden;
    }

.timeline-line-progress {
    width: 100px;
    top: 0;
    height:20px;
    background-color:var(--green-main-color);
    }


/* Interesse Sektion */

.interest-section {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: url(/img/nature/bokeh-halm.webp) no-repeat center center;
    background-size: cover;
    height: fit-content;
    width: 100%;
    overflow: hidden;
}

.interest-section h1 {
    color: var(--bg-color);
    font-size: var(--font-size-h1);
}

.interest-section p {
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.bg-img-interest {
top: 0;
left: 0;
width: 100%;
height: 100%;
background-color: #1212125e;
display: flex;
align-items: flex-start;
justify-content: center;
flex-direction: column;
}

.interest-container {
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    flex-wrap: wrap;
    margin-left: 270px;
}

.interest-container h1{
    padding-top: var(--margin-100);
}

.interest-container p {
    margin-top: -25px;
}

.btn-interest-contact {
    margin-bottom: var(--margin-100);
    margin-top: 10px;
    height: var(--btn-height);
    border: 1px solid var(--bg-color);
    border-radius: var(--btn-border-radius);
    display: flex;
    align-items: center;
    justify-content: center;
    transform: scale(1);
    transition: background-color 0.3s ease-in-out,
                transform 0.3s ease-in-out;
}

.btn-interest-contact a {
    text-decoration: none;
    padding-left: 20px;
    padding-right: 20px;
    color: var(--bg-color);
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.btn-interest-contact:hover {
    background-color: var(--green-main-color);
    border-color: var(--green-main-color);
    transform: scale(1.03);
}




/* Footer */

footer {
    width: 100%;
    height:280px;
    background-color: var(--green-transparent-color);
    overflow: hidden;
}

.container-footer {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: row;
    align-items: center;
}

.space-around-div {
    display: flex;
    width: 100%;
    height: 100%;
    flex-direction: row;
    align-items: center;
}

.logo-footer {
    margin-left: var(--margin-nav);
    opacity: 0.2;
}

.line-footer {
    margin-left: 25px;
    height: 80px;
    width: 2px;
    background-color: var(--text-color);
    opacity: 0.2;
    transform: translate(0, -7.5px);
}

.footer-content {
    margin-left: 25px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.footer-content a {
    text-decoration: none;
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    cursor: pointer;
}

.footer-content p {
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
}

.first-line {
    display: flex;
    flex-direction: row;
    margin-bottom: -15px;
}

.first-line a {
    margin-right: 15px;
}

.second-line {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.second-line a {
    margin-left: 15px;
}

.footer-contact {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    margin-right: var(--margin-nav);
    transform: translate(0, -21.7px);
}

.footer-contact h4 {
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: 600;
}

.footer-contact a{
    color: #00000050;
    font-size: var(--font-size-normal);
    font-weight: var(--font-weight-thin);
    cursor: pointer;
    margin-top: -25px;
}

.footer-contact h4:nth-last-child(2) {
    margin-top: 8px;
}




/* Media Query's */


@media (max-width: 1400px) {


/* Hero Sektion */

    .text-package {
        transform: translate(-50px,0);
    }

    .mywork-btn:hover {
        border-color: var(--green-main-color);
    }

    .mywork-btn:hover a {
        color: var(--green-main-color);
    }
}

@media (max-width: 1350px) {


/* Übersicht Sektion */

    .content-style {
        width: 350px;
    }
}

@media (max-width: 1320px){
    


    /* About Me Sektion */

    .consultation-content{
        flex-direction: column;
    }

    .consultation-text-ctn{
        width: 840px;
        margin-left:0;
        margin-right: 0;
        margin-top: 75px;
        order: 2;
    }

    .consultation-image-ctn{
        margin-left: 0;
        margin-right: 0;
        margin-top: 0;
        margin-bottom: 0;
        order: 1;
        height: 100vh;
        overflow: hidden;
        width: 100%;
    }

    .consultatation-img-mask{
        height: 100%;
        width: 100%;
        object-fit: cover;
    }

    .consultation-image-ctn img{
        width: 100%;
        object-fit: cover;
    }

    /* Timeline - Line */
    .coaching-offer, .target-group, .implementation-group,.format-group {
        margin: 0;
        padding: 0;
        align-self: center;
        width: 400px;
        transform: translate(50px,0);
    }

    .target-group, .implementation-group, .format-group {
        margin-top: 40px;
    }

    .timeline-line-container {
        transform: translate(-250px,0 );
    }


    /* Footer */

    .logo-footer {
        margin-left: 50px;
    }

    .footer-contact {
        margin-right: 50px;
    }
}

@media (max-width: 1200px) {



    /* Nav Bar */

    .nav-links {
        padding-top: 40px;
        padding-bottom: 40px;
        display: none;
        flex-direction: column;
        position: absolute;
        top: var(--nav-height);
        right: 0;
        gap: 40px;
        background: var(--bg-color);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        width: 100%;
        text-align: center;
    }

    .logo {
        margin-left: 50px
    }

    .nav-links {
        margin-right: 0;
    }

    .nav-links.active {
        display: flex;
    }

    .menu-toggle {
        display: flex;
    }


    /* Overview Sektion */

    .content-style h1{
        font-size: var(--font-size-h1-small);
    }

    .content-style a {
        font-size: var(--font-size-normal-small);
    }
    
}

@media (max-width: 1050px) {

    /* Overview Section */

    .overview-content {
        gap: 40px;
    }

    .content-style {
        width: 100%;
        margin: 0;
    }

    .content-2 {
        margin: 0;
    }

    .content-1 {
        margin: 0;
    }



    /* Interese geweckt Sektion */

    .interest-container {
        margin-left: 90px;
        margin-right: 90px;
    }



    /* About Me Sektion */

    .consultation-text-ctn{
        width: 400px;
    }
}

@media (max-width: 800px) {
    .logo-footer {
        display: none;
    }

    .line-footer {
        display: none;
    }
}

@media (max-width: 750px) {

    /* Timeline Line */

    .timeline-line-container {
        display: none;
    }

    .coaching-offer, .target-group, .implementation-group, .format-group {
        transform: translate(0);
    }

    /* Footer */

    .first-line {
        display: none;
    }

    .second-line {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        margin: 0;
        transform: translate(0,0px);
        padding: 0;
        margin-left: 25px;
        margin-top: -10px;
    }

    .second-line a {
        margin-left: 0;
    }

    .secondlione-selected-a {
        margin-top: -15px;
    }
    

    .privacy-a {
        margin-top: 5px;
    }

    .content-style {
        width: 400px;
    }

}

@media (max-width:450px) {

    :root {
        --font-size-nav: 16px;
        --font-size-h1: 28px;
        --font-size-normal: 16px;
        --font-size-h3: 20px;
    }

    .consultation-text-ctn {
        width: 300px;
    }

    .timeline-container {
        padding-left: 30px;
    }
}

@media (max-width:400px) {
    :root {
        --font-size-nav: 16px;
        --font-size-h1: 24px;
        --font-size-normal: 15px;
        --font-size-h3: 20px;
    }

    .consultation-text-ctn {
        width: 250px;
    }

    .timeline-container {
        display: flex;
    }

    .timeline-container {
        padding-left: 80px;
    }

    .timeline-container p {
        flex-wrap: wrap;
    }
}

@media (prefers-reduced-motion: reduce) {
    .hidden {
        opacity: 1;
        transform: scale(1);
        transition: none;
    } 
    
    .show {
        opacity: 1;
        transform: scale(1);
    }
}

.hidden {
    opacity: 0;
    transform: scale(0.9);
    transition: transform .5s ease-in-out,
                opacity .5s ease-in-out;
} 


.hidden-2 {
    opacity: 0;
    transform: scale(0.8);
    transition: transform 0.5s ease-in-out,
                opacity 0.5s ease-in-out;
}

.show {
    opacity: 1;
    transform: scale(1) translate(0, 0);
}

@keyframes line-animation {
    from {
        transform: translate(0, -100%);
    }
    to {
        transform: translate(0, 0);
    }
    
}